import {
  Component,
  Input,
} from '@angular/core';
import { ProbeHost } from '@overflow/commons-typescript/model/probe';
import { DiscoverZone } from '@overflow/commons-typescript/model/discovery';

@Component({
  selector: 'of-discovery-container',
  templateUrl: './discovery-container.component.html',
})
export class DiscoveryContainerComponent {

  @Input() probeHostID;
  selectedProbe: ProbeHost;

  constructor(
  ) {
  }

  onProbeSelect(probe: ProbeHost) {
    this.selectedProbe = probe;
  }

  onRequestDiscovery(dz: DiscoverZone) {
    console.log(dz);
    // this.discoverStore.dispatch(new DiscoverStore.DiscoverZone(
    //   { probeID: this.selectedProbe.probeKey, discoverZone: discoverZone }));
  }
}
